Gönderen Konu: [Çözüldü] ubuntu 17.04 compizconfig kurdum masaüstü kayboldu. lütfen yardım!!  (Okunma sayısı 661 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Arkadaşlar Merhaba. Ubuntu kullanmaya yeni başladım. bilgisayarım i7 , lenovo z50, nvidia geforce 840M. Bilgisayara compizconfig yükledim, yükledim yüklemesine ama ne zaman açsam hep bir siyah ekran terminale unity --replace yazmadan masa üstüne geri gelemiyorum. Bu seferde sistem ayarları kısmından çok kısıtlı ayarlara erişebiliyorum. Ne yapmalıyım sudo apt-get install gnome-shell ubuntu-gnome-desktop yazıyorum gnome geçiş yapmak için

Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
Bazı paketler kurulamadı. Bu durum, olanaksız bir durum istemiş
olduğunuzu ya da kararsız (unstable) dağıtımı kullandığınızı ve
bazı paketlerin henüz oluşturulamamış  ya da oluşturulmakta
olduğunu gösterir.
Aşağıdaki bilgiler durumu çözmenize yardımcı olabilir:

Aşağıdaki paketler karşılanmamış bağımlılıklara sahip:
 gnome-shell : Bağımlılıklar: gnome-session ama kurulmayacak
 ubuntu-gnome-desktop : Bağımlılıklar: gnome-session ama kurulmayacak
                        Bağımlılıklar: gnome-shell-extensions ama kurulmayacak
                        Tavsiye ettikleri: fwupdate-signed
E: Sorunlar giderilemedi, tutulan bozuk paketleriniz var.

Böyle bir hatayla karşılaşıyorum. Yardımcı olabilcek varsa sevinirim konuyu yanlış yere açtıysamda kusuruma bakmayın zamanla kullanmayı öğreneceğim. İlginiz için teşekkürler.
« Son Düzenleme: 29 Aralık 2017 - 11:19:10 Gönderen: Macir74 »

Konsoldan direkt girişle ya da oturum açılmışken Alt+F2 tuşlarına basın ve şu komutu uygulayın.

Kod: [Seç]
metacity --replace
Bunu yaptıktan sonra Compiz config manager'den efektler kısmında ''Enable blur''u devredışı bırakın yani tiksiz kalsın.
Life is short, bird's are flying.

@_DonTouchMe  metacity yüklü değildi yükledim sonra yeniden başlattım ama metacitty --replace yazdıktan sonra aşağıdaki uyarıyla karşılaştım;

window maneger warning "<shift><control><alt><meta>" found  in configuration database is not a valid value for keybinding "move-to-work-space-left"


uyarısı çıkıyor. Bilgi için teşekkürler.

@Macir74  Bu nasıl bir sonuç vericek denermisin?
Kod: [Seç]
sudo apt-get update
sudo apt-get remove gnome-shell
sudo apt-get install gnome-shell
sudo dpkg-reconfigure gnome-shell
sudo apt-get purge gnome
sudo apt-get install --reinstall ubuntu-desktop 
sudo reboot
« Son Düzenleme: 11 Aralık 2017 - 12:53:23 Gönderen: .py »
-see you at funny pages.

@.py 
 
sudo apt-get remove gnome-shell için ;

Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
'gnome-shell' kurulu değildi, dolayısıyla kaldırılmadı
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 13 paket yükseltilmeyecek.


sudo apt-get install gnome-shell için ;

Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
'gnome-shell' kurulu değildi, dolayısıyla kaldırılmadı
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 13 paket yükseltilmeyecek.

sudo dpkg-reconfigure gnome-shell için ;

dpkg-query: 'gnome-shell' paketi kurulu değil ve hakkında bilgi yok
Arşiv dosyalarını incelemek için dpkg --info (= dpkg-deb --info), içeriğini
listelemek için dpkg --contents (= dpkg-deb --contents) komutunu kullanın.
/usr/sbin/dpkg-reconfigure: gnome-shell kurulu değil

sudo apt-get purge gnome için ;

Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
'gnome' kurulu değildi, dolayısıyla kaldırılmadı
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 13 paket yükseltilmeyecek.


sudo apt-get install --reinsatll ubuntu-desktop için ;

Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
0 paket yükseltilecek, 0 yeni paket kurulacak, 1 paket yeniden kurulacak, 0 paket kaldırılacak ve 13 paket yükseltilmeyecek.
3.658 B arşiv dosyası indirilecek.
Bu işlem tamamlandıktan sonra 0 B ek disk alanı kullanılacak.
İndir: 1 http://archive.ubuntu.com/ubuntu zesty-updates/main amd64 ubuntu-desktop amd64 1.379.1 [3.658 B]
5 sn.'de 3.658 B alındı (664 B/s)         
(Veritabanı okunuyor ... 239473 dosya veya dizin kurulu durumda.)
Paket açılacak: .../ubuntu-desktop_1.379.1_amd64.deb ...
Paket açılıyor: ubuntu-desktop (1.379.1) üzerine (1.379.1) ...
Ayarlanıyor: ubuntu-desktop (1.379.1) ...

reboot'tan sonra herhangi bir düzelme olmadı. Yardım için teşekkürler.

Amacınız hangisini kurmak gnome olanı kurtarmayamı çalışıyorsunuz ? şayet öyle ise compizconfig'i silip  alttaki komut ile gnome sıfırlanır sadece gnome sürümünüzü X olan kısıma yazmanız gerekir.
Kod: [Seç]
rm -rf .gnome .gnomeX .gconf .gconfd .metacity

@ata1

Gnome olanı kurtarmaya çalışıyorum, lakin compizconfigi nasıl silerim.?

Gnome versiyon için: vim, gedit hangi metin editörü yüklüyse artık.
Kod: [Seç]
vim /usr/share/gnome/gnome-version.xml
-see you at funny pages.

@.py


ubuntu@ubuntu-Lenovo-Z50-70:~$ vim /usr/share/gnome/gnome-version.xml
'vim' uygulaması aşağıda geçen paketlerde bulunabilir:
 * vim
 * vim-gtk3
 * vim-tiny
 * neovim
 * vim-athena
 * vim-gtk
 * vim-nox
Şunu deneyin: sudo apt install <seçili paket>


hepsini ayrı ayı mı indirmeliyim ?

Ayrıca kusuruma bakmayın cahilliğim yüzünden ama öğrenmeye çalışıyorum. Yardımlarınız için gerçekten teşekkürler.
« Son Düzenleme: 11 Aralık 2017 - 14:14:03 Gönderen: Macir74 »

hepsini ayrı ayı mı indirmeliyim ?

gnome da sanırım gedit metin editörü yüklü geliyor

vim yerine gedit kullanın.
-see you at funny pages.

@Macir74  Bu nasıl bir sonuç vericek denermisin?
Kod: [Seç]
sudo apt-get update
sudo apt-get remove gnome-shell
sudo apt-get install gnome-shell
sudo dpkg-reconfigure gnome-shell
sudo apt-get purge gnome
sudo apt-get install --reinstall ubuntu-desktop 
sudo reboot

Fakat arkadaş burada size gnomeyi sildirdi o nedenle işlemlerin tersini yapmalısınız önce @.py keşke konuyu tam anlayarak işlem yaptırsaydınız.


@.py
şöyle * bir şey yazdım ;

gedit /usr/share/gnome/gnome-version.xml

yeni bir sayfa açıldı metin düzenleyicide. İçinde yazanlar ;

<?xml version="1.0" encoding="UTF-8"?>
<gnome-version>
 <platform>3</platform>
 <minor>24</minor>
 <micro>2</micro>
 <distributor>Ubuntu</distributor>
 
</gnome-version>



Fakat arkadaş burada size gnomeyi sildirdi o nedenle işlemlerin tersini yapmalısınız önce @.py keşke konuyu tam anlayarak işlem yaptırsaydınız.

zaten kurulu değilmiş çıktıya bakın.
-see you at funny pages.

Fakat arkadaş burada size gnomeyi sildirdi o nedenle işlemlerin tersini yapmalısınız önce @.py keşke konuyu tam anlayarak işlem yaptırsaydınız.

zaten kurulu değilmiş çıktıya bakın.

Muhtemelen compizconfig kurulurken silindi.


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : 11 Aralık 2017 - 14:33:07
@.py@ata1

Peki şöyle * bir şey sorsam? Şimdi ekran ilk açıldığında sadece siyah sayfayla geldiği için ben komut satırına unity --replace yazıyorum. bunu yazmadan daha önce gnome için bahsedilen komutları yazsam herhangi * bir şey acaba fark eder mi ?
« Son Düzenleme: 11 Aralık 2017 - 14:33:07 Gönderen: Macir74 »

Alıntı
Kod: [Seç]
sudo apt-get purge gnome
sudo apt-get install --reinstall ubuntu-desktop 
sudo reboot

yani bundan sebep değil peki

Kod: [Seç]
sudo apt-get install gonome
Kod: [Seç]
gedit /usr/share/gnome/gnome-version.xml

@ata1

arkadaş versiyon ile ilgili çıktıyı paylaşmış gnome halihazırda yüklü.

-see you at funny pages.

@ata1

sudo apt-get install gnome için ;

Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
Bazı paketler kurulamadı. Bu durum, olanaksız bir durum istemiş
olduğunuzu ya da kararsız (unstable) dağıtımı kullandığınızı ve
bazı paketlerin henüz oluşturulamamış  ya da oluşturulmakta
olduğunu gösterir.
Aşağıdaki bilgiler durumu çözmenize yardımcı olabilir:

Aşağıdaki paketler karşılanmamış bağımlılıklara sahip:
 gnome : Bağımlılıklar: gnome-core (= 1:3.22+1ubuntu2) ama kurulmayacak
E: Sorunlar giderilemedi, tutulan bozuk paketleriniz var.


diğer komut içinde metin düzenleyici açılıyor.


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : 11 Aralık 2017 - 14:47:15
@ata1

arkadaş versiyon ile ilgili çıktıyı paylaşmış gnome halihazırda yüklü.

herhangi * bir şey olmadı yazdıktan sonra.
« Son Düzenleme: 11 Aralık 2017 - 14:47:15 Gönderen: Macir74 »

Kod: [Seç]
rm -rf .gnome .gnome3 .gconf .gconfd .metacity
sudo reboot

Alıntı
sudo apt-get remove gnome-shell için ;

Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
'gnome-shell' kurulu değildi, dolayısıyla kaldırılmadı
Alıntı
sudo apt-get install gnome için ;
Aşağıdaki paketler karşılanmamış bağımlılıklara sahip:
 gnome : Bağımlılıklar: gnome-core (= 1:3.22+1ubuntu2) ama kurulmayacak
E: Sorunlar giderilemedi, tutulan bozuk paketleriniz var.

Ubuntu paket yönetiminden anlamıyorum ama az çok Türkçe biliyorum. ;-) Bu bir depo sorunu veya komut hatası olabilir mi? Önerilen çözümlerin güncel Gnome ile uyumlu olması da ayrı bir sorun tabii.

Ubuntuyu yeniden yükleyerek sorunu anca çözebildim. Herkese yardımları için teşekkür ederim.

İyi günler ...

@Macir74Bir dahakine şu
Kod: [Seç]
dconf reset -f / komutu girin, sorununuz çözülecektir. Yukarıda çok karıştırmışlar.

@Macir74 format atılarak yapılan çözüm olmadığından çözüldü diye işaretlemiyoruz bilginize